/*******************************************************************************
 * Copyright 2016 Amit Kumar Mondal
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package org.fortiss.tooling.spiderchart.api.annotations;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import org.fortiss.tooling.spiderchart.gc.AbstractChartColor;

/**
 * Used to annotate POJO contributing to Spider Chart Data
 *
 * @author AMIT KUMAR MONDAL
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(value = ElementType.TYPE)
public @interface SpiderChartPlot {

	/**
	 * Spider Chart Area Color
	 *
	 * @return color the name of the color
	 * @see AbstractChartColor
	 */
	String areaColor();

	/**
	 * Spider Chart Legend Text
	 *
	 * @return name name of the legend to be used
	 */
	String name();

}